import greenfoot.*;

/**
 * A demo world to show you a little bit how this works.
 * 
 * @author Sven van Nigtevecht
 * @version 1.0
 */
public class DemoWorld extends LayerWorld
{
    private Layer beeLayer;
    
    /**
     * Constructor for objects of class DemoWorld.
     */
    public DemoWorld()
    {
        super(600, 400, false);
        Layer layer = getMainLayer();
        layer.add(new StrawBerry(), 100, 350);
        layer.add(new StrawBerry(), 450, 350);
        
        beeLayer = new Layer(600,400);
        addLayer(beeLayer, 0, 0);
        beeLayer.add(new Bee1(), 100, 150);
        beeLayer.add(new Bee2(), 350, 150);
    }
    
    /**
     * Move the bee layer by your keyboard.
     */
    public void act()
    {
        if (Greenfoot.isKeyDown("left"))
            beeLayer.setLocation(beeLayer.getX() -5, beeLayer.getY());
        if (Greenfoot.isKeyDown("right"))
            beeLayer.setLocation(beeLayer.getX() +5, beeLayer.getY());
        if (Greenfoot.isKeyDown("up"))
            beeLayer.setLocation(beeLayer.getX(), beeLayer.getY() -5);
        if (Greenfoot.isKeyDown("down"))
            beeLayer.setLocation(beeLayer.getX(), beeLayer.getY() +5);
    }
}